## com.vividsolutions.jts.algorithm.match
Class HausdorffSimilarityMeasure

    java.lang.Object
      com.vividsolutions.jts.algorithm.match.HausdorffSimilarityMeasure

All Implemented Interfaces:
  SimilarityMeasure

public class HausdorffSimilarityMeasure
extends java.lang.Object
implements SimilarityMeasure

Measures the degree of similarity between two `Geometry`s using the Hausdorff distance metric. The measure is normalized to lie in the range [0, 1]. Higher measures indicate a great degree of similarity.

The measure is computed by computing the Hausdorff distance between the input geometries, and then normalizing this by dividing it by the diagonal distance across the envelope of the combined geometries.

Author:
  mbdavis

Constructor Summary
`HausdorffSimilarityMeasure()`

Method Summary
`static double` `diagonalSize(Envelope env)`
`double` `measure(Geometry g1, Geometry g2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HausdorffSimilarityMeasure

    public HausdorffSimilarityMeasure()

Method Detail

### measure

    public double measure(Geometry g1,
                          Geometry g2)

  Specified by:
    `measure` in interface `SimilarityMeasure`

### diagonalSize

    public static double diagonalSize(Envelope env)